/* ===== 全体のスタイル ===== */
body {
  /* コンテンツを中央揃え */
  /*display: flex;
    justify-content: center;*/
  align-items: center;
  /* 背景色を薄いグレーに設定 */
  background-color: #f5f7fa;
  /* テキストの色をダークグレーに設定 */
  color: #34495e;
  /* 使用するフォントを指定 */
  font-family:
    "Times New Roman", Times, serif, Arial, Helvetica, sans-serif, "Meiryo UI",
    "Segoe UI", Tahoma, Geneva, Verdana;
  /* ビューポートの高さを100%に設定 */
  height: 100vh;
  /* 余白をゼロに設定 */
  margin: auto 0;
  width: 100%;
  margin:0;
  padding:0;
}

A:link {
  color: #165e83;
  padding-left: 0.1rem;
  padding-right: 0.1rem;
  text-decoration: none;
}

A:visited {
  color: #165e83;
  padding-left: 0.1rem;
  padding-right: 0.1rem;
  text-decoration: none;
}

A:hover {
  color: orangered;
  padding-left: 0.1rem;
  padding-right: 0.1rem;
  text-decoration: none;
}

A:active {
  color: crimson;
  font-weight: 800;
  padding-left: 0.1rem;
  padding-right: 0.1rem;
  text-decoration: none;
}

.asciiart {
  color: lavender;
  font-family: Courier, "Courier New";
  font-size: 0.25rem;
  font-weight: 800;
  letter-spacing: 0rem;
  text-shadow: 1px 1px 1px siver;
}

#clock {
  background-color: #2b2b2b;
  color: lavender;
  font-size: 0.5em;
  margin-top: 0;
  padding-bottom: 0.3rem;
  padding-right: 1rem;
  padding-top: 0.3rem;
  text-align: right;
}

#map {
  height: 580px; /* 任意の高さ（pxやvhなど） */
  width: 100%;   /* 幅も必要です */
  top: 0; 
  left: 0;
}

.qrcodearea {
  width: 100px;
}

/* ===== コンテナのスタイル ===== */
.container {
  /* 背景色を白に設定 */
  background-color: #ffffff;
  border: 1px solid lavender;
  /* 角を丸くする */
  border-radius: 5px;
  /* 影を設定 */
  box-shadow: 0 10px 10px rgba(112, 128, 144, 0.6);
  /* ボックスのサイズを境界ボックスに基づかせる */
  box-sizing: border-box;
  margin-bottom: 0.2rem;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  padding-bottom: 1rem;
  padding-left: 2rem;
  padding-right: 1rem;
  /* 内側の余白を設定 */
  padding-top: 1rem;
  /* 幅を100%に設定 */
  width: 80%;
  /* white-space: nowrap;*/
}
.container_map {
  /* 背景色を白に設定 */
  background-color: #ffffff;
  border-left: 1px solid lavender;
  border-right: 1px solid lavender;
  border-bottom: 1px solid lavender;
  border-top: 1px solid navy;
  /* 角を丸くする */
  border-radius: 0px;
  /* 影を設定 */
  box-shadow: 0 10px 10px rgba(112, 128, 144, 0.6);
  /* ボックスのサイズを境界ボックスに基づかせる */
  margin: 0 auto;
  padding: 0rem;
  line-height:1.8rem;
  width: 80%;
  /* white-space: nowrap;*/
}
.left_container {
  background-color: white;
  border-bottom: 1px solid white;
  border-left: 2px solid white;
  border-radius: 4px;
  border-right: 1px solid white;
  border-top: 2px solid white;
  box-shadow: 1px 1px 2px lavender;
  display: inline-block;
  padding-bottom: 0.5rem;
  padding-left: 2rem;
  padding-top: 0.5rem;
  vertical-align: top;
  width: 30%;
}

.right_container {
  background-color: white;
  border-radius: 4px;
  display: inline-block;
  padding-bottom: 0.5rem;
  padding-left: 2rem;
  padding-right: 1rem;
  padding-top: 0.5rem;
  vertical-align: top;
  width: 62%;
}

.qrcodearea {
  margin: auto;
  margin-top: 1.5rem;
  text-align: center;
  /*width: 186px;*/
  width: 100px;
}

.leaflet-tile {
  border: none;
  outline: none;
}

input+#img {
  display: none;
}

#check {
  display: none;
}

input:checked+#img {
  display: block;
}

img {
  width: 100%;
}

/* ===== 見出しのスタイル ===== */
h1 {
  background-color: #005243;
  border-bottom: 2px solid #1f3134;
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
  border-left: 1px solid slategray;
  border-right: 1px solid slategray;
  border-top: 1px solid green;
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
  /* テキストの色を青に設定 */
  color: #2b2b2b;
  /* フォントサイズを設定 */
  font-size: 2.2rem;
  /* フォントの太さを設定 */
  font-weight: 800;
  /* 文字間のスペースを設定 */
  letter-spacing: 1px;
  /* 下に20pxの余白を設定 */
  margin-bottom: 0;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  padding-bottom: 0.5rem;
  padding-top: 0.5rem;
  /* テキストを中央揃え */
  text-align: center;
  width: 80%;
}

/* ===== 見出しのスタイル ===== */
h2 {
  /* テキストの色を青に設定 */
  color: #2b2b2b;
  /* フォントサイズを設定 */
  font-size: 1.6rem;
  /* フォントの太さを設定 */
  font-weight: 800;
  /* 文字間のスペースを設定 */
  letter-spacing: 1px;
  margin: auto;
  margin-bottom: 0.5rem;
  padding-bottom: 0.3rem;
  padding-top: 0.2rem;
  /* テキストを中央揃え */
  text-align: left;
  text-shadow: 2px 3px 5px lightslategray;
  width: 98%;
}

/* ===== 見出しのスタイル ===== */
h3 {
  /* テキストの色を青に設定 */
  color: #005243;
  /* フォントサイズを設定 */
  font-size: 1.2rem;
  /* フォントの太さを設定 */
  font-weight: 800;
  /* 文字間のスペースを設定 */
  letter-spacing: 1px;
  /* 下に20pxの余白を設定 */
  margin-bottom: 0;
  margin-top: 0;
  /* テキストを中央揃え */
  text-align: left;
  text-shadow: 1px 1px 3px lightslategray;
  border-top:2px solid silver;
  border-left:1px solid silver;
  border-bottom:1px solid gainsboro;
}


footer {
  background-color: #005243;
  border-bottom: 1px solid lime;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border-top: 2px solid #1f3134;
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
  margin: auto;
  margin-bottom: 0;
  margin-top: 0;
  padding-bottom: 0;
  padding-left: 2rem;
  padding-top: 0;
  width: 78%;
}

img {
  height: auto;
  max-width: 100%;
  /* アスペクト比維持 */
}

/* ===== フォームのスタイル ===== */
form {
  /* フレックスボックスを使用して縦方向にアイテムを並べる */
  display: flex;
  flex-direction: column;
}

input[type="text"],
textarea {
  /* パディングを含めた幅計算 */
  background-color: lavender;
  box-sizing: border-box;
  /* 親要素いっぱいに広げる */
  padding: 10px;
  width: 100%;
}

p {
  margin-top: -0.5rem;
}
button{
  font-family:"Times New Roman"; 
  border-top:1px solid silver;
  border-left:1px solid silver;
  border-right:1px solid #2b2b2b;
  border-bottom:2px solid #2b2b2b;
  background-color: white;
  color:blue;
  font-weight: 800;
  text-align:center;
  width:3rem;
  padding-top: 0.2rem;
  padding-bottom: 0.2rem;
  vertical-align: middle;
  margin-bottom:0.1rem;
}
label{
  font-family:"Times New Roman"; 
  border-top:1px whitesmoke solid;
  border-right:1px white solid;
  border-bottom:1px whitesmoke solid;
  padding-top:0.1rem;
  padding-left:0.2rem;
  padding-right:0.2rem;
}
img{
  border-top:1px silver solid;
  border-left:1px silver solid;
  border-right: 2px gray solid;
  border-bottom: 3px gray solid;
}
#page-top {
  display: none;
  height: 36px;
  position: fixed;
  right: 320px;
  top: 360px;
  width: 32px;
}

#page-bottom {
  bottom: 400px;
  display: none;
  height: 36px;
  position: fixed;
  right: 280px;
  width: 32px;
}

/*################### BASE FROM #######################################*/

/* 配置 #############################################################*/
.ilblock {
  display: inline-block;
}
.ilblockm {
  display: inline-block;
}
.latlng{
    display: block;
  }
.nospace {
  white-space: nowrap;
}
.tcenter {
  text-align: center;
}
.tright {
  text-align: right;
}
.tleft {
  text-align: left;
}
.tjust {
  text-align: justify;
  text-justify: inter-ideograph;
}
.vtop {
  vertical-align: top;
}
.vmiddle {
  vertical-align: middle;
}
.vbottom {
  vertical-align: bottom;
}
.dtop {
  align-items: flex-start;
  display: flex;
}
.break{
  white-space: normal;
  overflow-wrap: break-word;
  flex-wrap: wrap;
}
/* display #############################################################*/
.forpc{
  display: block;
}
.forsp{
  display:none;
}
/* margin #############################################################*/
.m0{
  margin: 0 auto; 
}
.ml0 {
  margin-left: 0rem;
}
.ml01 {
  margin-left: 0.1rem;
}
.ml02 {
  margin-left: 0.2rem;
}
.ml05 {
  margin-left: 0.5rem;
}
.ml052 {
  margin-left: 0.5rem;
}
.ml1 {
  margin-left: 1rem;
}
.ml2 {
  margin-left: 2rem;
}
.mr2 {
  margin-right: 2rem;
}
.mt0 {
  margin-top: 0rem;
}
.mt01 {
  margin-top: 0.1rem;
}
.mt02 {
  margin-top: 0.2rem;
}
.mt05 {
  margin-top: 0.5rem;
}
.mt05m{
  margin-top: 0.5rem;
}
.mt1m{
  margin-top: 1rem;
}
.mt2m{
  margin-top: -2rem;
}
.mt1 {
  margin-top: 1rem;
}
.mt2 {
  margin-top: 2rem;
}
.mt4 {
  margin-top: 4rem;
}
.mb0 {
  margin-bottom: 0rem;
}
.mb05 {
  margin-bottom: 0.5rem;
}
.mb1 {
  margin-bottom: 1rem;
}
.mb2 {
  margin-bottom: 2rem;
}

.mtfooter{
  margin-top: -0.95rem;
}

/* padding #############################################################*/
.p0{
  padding: 0;
}
.pt2 {
  padding-top: 0.2rem;
}
.pb2 {
  padding-bottom: 0.2rem;
}
.py2 {
  padding-bottom: 0.2rem;
  padding-top: 0.2rem;
}
.pl05 {
  padding-left: 0.5rem;
}
.pl1 {
  padding-left: 1rem;
}
.pl2 {
  padding-left: 2rem;
}
.pr05 {
  padding-right: 0.5rem;
}
.pr1 {
  padding-right: 1rem;
}
.pr2 {
  padding-right: 2rem;
}

/* 装飾  #############################################################*/
.fw400 {
  font-weight: 400;
}
.fw800 {
  font-weight: 800;
}
.tunderline {
  text-decoration: underline;
}
.h1shadow {
  text-shadow: 2px 2px 2px #2b2b2b;
}
.tshadow {
  text-shadow: 1px 1px 2px slategray;
}
.tshadow12 {
  text-shadow: 1px 2px 3px darkgray;
}
/* font size #############################################################*/
.fs0 {
  font-size: 0rem;
}
.fs1 {
  font-size: 1rem;
}
.fs9 {
  font-size: 0.9rem;
}
.fs8 {
  font-size: 0.8rem;
}
.fs7 {
  font-size: 0.7rem;
}
.fs11 {
  font-size: 1.1rem;
}
.fs12 {
  font-size: 1.2rem;
}
.fs1210 {
  font-size: 1.2rem;
}
.fs14m {
  font-size: 1.4rem;
}
.fs16 {
  font-size: 1.6rem;
}

/* font color #############################################################*/
.fc2b {
  color: #2b2b2b;
}
.fcblack {
  color: black;
}
.fcgold {
  color: #e6b422;
}
.fcblue {
  color: blue;
}
.fcmediumblue{
  color:mediumblue;
}
.fcroyalblue {
  color: royalblue;
}
.fcnavy {
  color: navy;
}
.fcslategray {
  color: slategray;
}
.fcsilver {
  color: silver;
}
.fcred {
  color: crimson;
}
.fcpink {
  color: hotpink;
}
.fcskyblue {
  color: skyblue;
}
.fcyellow {
  color: #e6b422;
}
.fcgreen {
  color: green;
}
.fcdarkgreen {
  color: darkgreen;
}
.fclime {
  color: lime;
}
.fcorange {
  color: darkorange;
}
.fclavender {
  color: lavender;
}
.fcteal {
  color: teal;
}
.fcwhite {
  color: white;
}
.fctetsu{
  color:#005243;
}
/* back color #############################################################*/
.bcsea{
  background-color: #006994;
}
.bcmistyrose {
  background-color: mistyrose;
}
.bclavenderblush {
  background-color: lavenderblush;
}
.bclightyellow {
  background-color: lightyellow;
}
.bcivory {
  background-color: ivory;
}
.bchoneydew {
  background-color: honeydew;
}
.bcazure {
  background-color: azure;
}
.bclavender {
  background-color: lavender;
}
.bcwhite {
  background-color: white;
}
.bcwhitesmoke {
  background-color: whitesmoke;
}
.bcsnow {
  background-color: snow;
}
.bc2b {
  background-color: #2b2b2b;
}
.bctetu {
  background-color: #005243;
}
.bchakuji{
  background-color: #f7fcfe;
}
.bcghost{
  background-color: ghostwhite;
}
/* border #############################################################*/
.bd1 {
  border: 1px silver solid;
}

.bt1{
   border-top: 1px silver solid;
}
.bl1{
   border-left: 1px darkgray solid;
}
.br2{
   border-right: 2px dimgray solid;
}
.bb3{
   border-bottom: 3px #383c3c solid;
}
.bdt1{
 border-top: 1px silver solid;
}
.bdl1{
 border-left: 1px silver solid;
} 
.bdr1{
 border-right: 1px darkgray solid;
}
.bdb1{
 border-bottom: 1px darkgray solid;
}
.bdt1dotted {
  border-top: 1px silver dotted;
}

/* width height ###########################################################*/
.w15 {
  width: 1.5rem;
}
.w25 {
  width: 2.5rem;
}
.w3 {
  width: 3rem;
}
.w35 {
  width: 3.5rem;
}
.w4 {
  width: 4rem;
}
.w5 {
  width: 5rem;
}
.w6 {
  width: 6rem;
}
.w7 {
  width: 7rem;
}
.w8 {
  width: 8rem;
}
.w10 {
  width: 10rem;
}
.w12 {
  width: 12rem;
}
.w14 {
  width: 14rem;
}
.w100 {
  width: 100%;
}
.w90 {
  width: 90%;
}
.w80 {
  width: 80%;
}
.w8096 {
  /*width: 88%;*/
  margin-left:8%;
  margin-right:5%;
}
.w60 {
  width: 60%;
}
.w50 {
  width: 50%;
}
.w49m {
  width: 49%;
}
.w25 {
  width: 25%;
}
.w33 {
  width: 33%;
}
.w34 {
  width: 34%;
}
.wweek {
  width: 14%;
}
.mw20{
  max-width: 20rem;
}
.line14 {
  line-height: 1.4rem;
}
.line50 {
  line-height: 5rem;
}
.h10{
  height:100px;
}

/*################### BASE TO #######################################*/

@media screen and (max-width: 768px) {

  /* ===== コンテナのスタイル ===== */
  .container {
    /* 背景色を白に設定 */
    background-color: #ffffff;
    /* 角を丸くする */
    border-radius: 8px;
    /* 影を設定 */
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    /* ボックスのサイズを境界ボックスに基づかせる */
    box-sizing: border-box;
    margin-bottom: 0;
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
    padding-bottom: 0.5rem;
    padding-left: 0.2rem;
    padding-right: 0.5rem;
    /* 内側の余白を設定 */
    padding-top: 0.5rem;
    /* 幅を100%に設定 */
    width: 100%;
  }

  .container_map {
    /* 背景色を白に設定 */
    background-color: #ffffff;
    border-left: 1px solid lavender;
    border-right: 1px solid lavender;
    border-bottom: 1px solid lavender;
    border-top: 1px solid navy;
    /* 角を丸くする */
    border-radius: 0px;
    /* 影を設定 */
    box-shadow: 0 10px 10px rgba(112, 128, 144, 0.6);
    /* ボックスのサイズを境界ボックスに基づかせる */
    margin: 0 auto;
    padding: 0rem;
    line-height:1.8rem;
    width: 100%;
    /* white-space: nowrap;*/
  }
  .left_container {
    display: block;
    padding-top: 1rem;
    width: 100%;
  }

  .center_container {
    display: none;
  }

  .right_container {
    display: block;
    padding-right: 0.5rem;
    padding-top: 1rem;
    width: 100%;
  }

  /* ===== 見出しのスタイル ===== */
  h1 {
    /* テキストの色を青に設定 */
    color: #2b2b2b;
    /* フォントサイズを設定 */
    font-size: 1.5em;
    /* フォントの太さを設定 */
    font-weight: 800;
    /* 文字間のスペースを設定 */
    letter-spacing: 1px;
    /* 下に20pxの余白を設定 */
    margin-bottom: 0;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    padding-bottom: 0.2rem;
    padding-top: 0.2rem;
    /* テキストを中央揃え */
    text-align: center;
    width: 100%;
  }

  h2 {
    font-size: 1.4rem;
    /* フォントの太さを設定 */
    font-weight: 800;
    letter-spacing: 1px;
    /* 下に20pxの余白を設定 */
    margin-bottom: 0.5rem;
    margin-top: 0;
    padding-bottom: 0.2rem;
    /* 文字間のスペースを設定 */
    padding-top: 0.2rem;
    text-shadow: 2px 3px 5px lightslategray;
  }

  footer {
    width: 100%;
  }

  .mt0 {
    margin-top: -1rem;
  }
  .mt05m{
    margin-top: -0.2rem;
  }
  .ml052 {
    margin-left: 4rem;
  }
  .mt1m{
    margin-top: -0.2rem;
  }
  .ilblockm {
    display: block;
  }
  .latlng{
    display: none;
  }
  .fs1210 {
    font-size: 1rem;
  }
  .fs14m {
    font-size: 1rem;
  }
  .w49m {
    width: 98%;
  }
  .w8096 {
    margin:auto 0;
    margin-left:0.5rem;
    /*width:96%;*/
  }
  
/* display #############################################################*/
  .forpc{
    display: none;
  }
  .forsp{
    display:block;
  }
    
  .qrcodearea {
    display: none;
  }

}